package org.jdesktop.lg3d.wonderland.usecaseviewer.common;

import java.nio.ByteBuffer;

import org.jdesktop.lg3d.wonderland.darkstar.common.CellID;
import org.jdesktop.lg3d.wonderland.darkstar.common.messages.CellMessage;

/**
 * UCViewer2DPollManagerDataMessage.java
 * 
 * The message for GETTING THE DEETS.
 * 
 * @author James Johnson
 * @author Matt Duval
 * @version 3/17/09
 */
public class UCViewer2DPollManagerDataMessage extends CellMessage {

	/**
	 * sets up the new cell change message with the provided information
	 * @param cellID
	 * @param message
	 */
	public UCViewer2DPollManagerDataMessage(CellID cellID){
		super(cellID);
	}
	
	/**
	 * default constructor
	 */
	public UCViewer2DPollManagerDataMessage(){}

	@Override
	protected void populateDataElements() {
	    super.populateDataElements();
	}
	  
	@Override    
	protected void extractMessageImpl(ByteBuffer data) {   
		super.extractMessageImpl(data);    
	}

}
